#include <avr/io.h>
#include <avr/inttypes.h>


/**************************************************************************************************************/
/* Functions */
/**************************************************************************************************************/
void SPI_MasterTransmit(unsigned char data)
{
	uint16_t i;
	PORTB		&= ~(1 << PB1);				// Set SS on slave low
	// Start transmission
	SPDR = data;
	// Wait for transmission complete
	while(!(SPSR & (1 << SPIF)));
	PORTB		|= (1 << PB1);				// Set SS on slave high
}

/**************************************************************************************************************/
/* Main program */
/**************************************************************************************************************/
int main ()
{
	// Locals
	uint16_t i;
	
	// Port Definitions
	DDRB		 = (1 << PB0) | (1 << PB1) | 			// Outputs: SS(Master), Slave select(PB1), SCK, MOSI
				   (1 << PB3) | (1 << PB5);				// Inputs:  Rest
	PORTB		 = 0xFF;								// Enable all pullups on inputs on PORTB 

	// Enable SPI master, set clock rate fck/16
	SPCR = (1 << SPE) | (1 << MSTR) | (1 << SPR0);

	for (;;)
	{
		SPI_MasterTransmit ('M');
		
		// Delay loop
		for (i = 0; i < 65535; i++);		
	}

	return 1;
}












