#include <avr/io.h>
#include <avr/inttypes.h>
#include <avr/interrupt.h>
#include "m_usart.h"

/**************************************************************************************************************/
/* ISR for RS232 receive */
/**************************************************************************************************************/

ISR (SIG_UART_RECV)
{
	unsigned char ch;
	ch = UDR;
	uart_putc (ch);
}

/**************************************************************************************************************/
/* ISR for SPI receive */
/**************************************************************************************************************/
ISR (SIG_SPI)
{
	unsigned char data;
	data = SPDR;
	uart_putc (data);
}

/**************************************************************************************************************/
/* Main program */
/**************************************************************************************************************/
int main ()
{
	// Locals
	uint16_t i;	

	// Port Definitions
	DDRB		|= (1 << PB4);								// Outputs: MISO(PB4); Inputs: Rest
	PORTB		 = 0xFF;									// Enable all pullups on inputs on PORTB

	// Init USART 8N1, 9600
	uart_init();

	// Set slave SPI
	SPCR		 = (1 << SPE) | (1 << SPIE);				// Activate SPI as master, Taktrate fck/16

	// Globally enable interrupts
	sei ();

	// Start main loop
	for (;;)
	{
		for (i = 0; i < 65535; i++);
		uart_putc ('L');
	}

	return 1;
}












